Home

# Class goog.ui.PopupDatePicker

Popup date picker widget.

extends goog.ui.Component

Instance Method Summary
| `attach(?Element element)` Attaches the popup date picker to an element.
| `canDecorate(?Element element) ⇒ boolean` DatePicker cannot be used to decorate pre-existing html, since they're not based on Components.
| `createDom()` Creates the initial DOM representation for the component. The default implementation is to set this.element_ = div.
| `detach(?Element element)` Detatches the popup date picker from an element.
| `disposeInternal()` Disposes of the component. Calls {@code exitDocument}, which is expected to remove event handlers and clean up the component. Propagates the call to the component's children, if any. Removes the component's DOM from the document unless it was decorated.
| `enterDocument()` Called when the component's element is known to be in the document. Anything using document.getElementById etc. should be done at this stage. If the component contains child components, this call is propagated to its children.
| `getAllowAutoFocus() ⇒ boolean`
| `getDate() ⇒ ?goog.date.Date`
| `getDatePicker() ⇒ ?goog.ui.DatePicker`
| `getLastTarget() ⇒ ?Element`
| `hidePopup()` Hides this popup.
| `onDateChanged_(?goog.events.Event event)` Called when the date is changed.
| `setAllowAutoFocus(boolean allow)` Sets whether the date picker can automatically move focus to its key event target when it is set to visible.
| `setDate(?goog.date.Date date)` Sets the selected date. See goog.ui.DatePicker.setDate().
| `showPopup(?Element element)` Show the popup at the bottom-left corner of the specified element.
| `showPopup_(?goog.events.Event event)` Handles click events on the targets and shows the date picker.